cc.funkemunky.api.tinyprotocol.packet.types

## Enum WrappedEnumTeleportFlag

- java.lang.Object
- - java.lang.Enum<WrappedEnumTeleportFlag>
  - - cc.funkemunky.api.tinyprotocol.packet.types.WrappedEnumTeleportFlag

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WrappedEnumTeleportFlag>

    public enum WrappedEnumTeleportFlag
    extends java.lang.Enum<WrappedEnumTeleportFlag>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`X`
`X_ROT`
`Y`
`Y_ROT`
`Z`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.util.Set<WrappedEnumTeleportFlag>` `a(int var0)`
`static int` `a(java.util.Set<WrappedEnumTeleportFlag> var0)`
`static WrappedEnumTeleportFlag` `fromObject(java.lang.Enum var)`
`java.lang.Object` `getObject()`
`static WrappedEnumTeleportFlag` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WrappedEnumTeleportFlag[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### X

    public static final WrappedEnumTeleportFlag X

#### Y

    public static final WrappedEnumTeleportFlag Y

#### Z

    public static final WrappedEnumTeleportFlag Z

#### Y_ROT

    public static final WrappedEnumTeleportFlag Y_ROT

#### X_ROT

    public static final WrappedEnumTeleportFlag X_ROT

### Method Detail

#### values

    public static WrappedEnumTeleportFlag[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WrappedEnumTeleportFlag c : WrappedEnumTeleportFlag.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WrappedEnumTeleportFlag valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### a

    public static java.util.Set<WrappedEnumTeleportFlag> a(int var0)

#### a

    public static int a(java.util.Set<WrappedEnumTeleportFlag> var0)

#### fromObject

    public static WrappedEnumTeleportFlag fromObject(java.lang.Enum var)

#### getObject

    public java.lang.Object getObject()